Scrum - Defect #1428

Stadistic the Scrum - Internal error
2017-08-29 20:10 - Javier Pastor

Status: Rejected
Priority: Normal
Category: General stats

Target version:

Source: Customer Blocked: No
Detected on version: Scrum v0.17.0 Alone: No
Description

The Access to "Stadistic the Scrum" (https://www/projects/proyectoname/scrum/stats)
Show Internal Error.

LOG:

Started GET "/projects/proyectoname/scrum/stats" for 127.0.0.1 at 2017-08-29 22:01:24 +0200
Processing by ScrumController#stats as HTML

Parameters: {"project_id"=>"proyectoname"}

Current user: user (id=6)
Completed 500 Internal Server Error in 467ms (ActiveRecord: 376.7ms)

ArgumentError (comparison of Date with nil failed):
plugins/scrum/app/models/sprint.rb:106:in *>="
plugins/scrum/app/models/sprint.rb:106:in ‘block in time_entries_by_activity'
plugins/scrum/app/models/sprint.rb:104:in ‘each'
plugins/scrum/app/models/sprint.rb:104:in ‘time_entries_by_activity'
plugins/scrum/lib/scrum/project_patch.rb:120:in “block in sps_by_pbi_field'
plugins/scrum/lib/scrum/project_patch.rb:119:in "“sps_by_pbi_field'
plugins/scrum/lib/scrum/project_patch.rb:85:in “effort_by_activity'
plugins/scrum/app/controllers/scrum_controller.rb:260:1in "stats'
lib/redmine/sudo_mode.rb:63:in "~ sudo_mode'

History

#1 - 2017-08-29 20:12 - Javier Pastor

Environment:

Redmine version:

3.3.4.stable.16954

Ruby version:

2.1.9-p490 (2016-03-30) [x86_64-linux]

Rails version:

4.2.7.1

Environment:

production

Database adapter:

Mysql2
https://www/projects/proyectoname/scrum/stats

SCM:

Subversion

1.9.5

Mercurial

4.2

Cvs

1.12.12

Git

2.13.0

Filesystem

#2 - 2017-10-16 21:15 - Emilio Gonzalez Montaha

| think this is already fixed on Scrum v0.18.0, could you test it? Thanks.

#3 - 2017-10-16 21:54 - Javier Pastor

| have tried version 0.18.0 and it works correctly.
Thank you very much.

#4 - 2017-10-17 04:48 - Emilio Gonzalez Montaina
- Source changed from Development to Customer

- Status changed from New to Rejected
